# Class MsaCallbackManagerFactory<U>

#### Type Parameters

- #### U

#### Hierarchy

- MsaCallbackManagerFactory

#### Implements

- CallbackManagerFactoryInterface<U>

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryImplementation/MsaCallbackManager.ts:18

#####
Index

### Constructors

constructor

### Properties

alignmentResponseContainer
pluginLoadParamsDefinition

### Methods

getCallbackManager

## Constructors

### constructor

- new MsaCallbackManagerFactory<U>(config): MsaCallbackManagerFactory<U>

- #### Type Parameters

  - #### U

  #### Parameters

  - ##### config: {
    alignmentResponseContainer: DataContainer<AlignmentResponse>;
    pluginLoadParamsDefinition: ((id) => void);
    }

    - ##### alignmentResponseContainer: DataContainer<AlignmentResponse>

    - ##### pluginLoadParamsDefinition: ((id) => void)

      - - (id): void

        - #### Parameters

          - ##### id: string

          #### Returns void

  #### Returns MsaCallbackManagerFactory<U>

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryImplementation/MsaCallbackManager.ts:23

## Properties

### `Private` `Readonly` alignmentResponseContainer

alignmentResponseContainer: DataContainer<AlignmentResponse>

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryImplementation/MsaCallbackManager.ts:21

### `Private` `Readonly` pluginLoadParamsDefinition

pluginLoadParamsDefinition: ((id) => void)

#### Type declaration

- - (id): void

  - #### Parameters

    - ##### id: string

    #### Returns void

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryImplementation/MsaCallbackManager.ts:20

## Methods

### getCallbackManager

- getCallbackManager(config): CallbackManagerInterface<U>

- #### Parameters

  - ##### config: CallbackConfigInterface

  #### Returns CallbackManagerInterface<U>

  Implementation of CallbackManagerFactoryInterface.getCallbackManager

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryImplementation/MsaCallbackManager.ts:31

Generated using TypeDoc